Naver TalkTalk

Naver TalkTalk is a message channel that delivers informational messages to customers through a Naver business channel. Bizgo supports template-based message sending in line with the Naver Smart Notification specification.

Send a Naver Smart Notification

POST/api/comm/v1/send/omni

The Naver TalkTalk send specification. It uses the messageFlow[].navertalk object.

Body Parameters

{}JSON

destinations

RequiredObject Array

The array of recipient information. Up to 200 per broadcast send.

messageFlow

RequiredObject Array

When you add messages, they are handled in order as automatic failover messages.

paymentCode

String

The department code used for settlement.

groupKey

String

A key you set to group messages and review their statistics in Message Insight.

idempotencyKey

String

The idempotency key field that identifies the request for idempotency.

idempotencyTtl

Integer

The validity period of the idempotency key.

ref

String

A per-request reference field.

Returns

common

Object

The common response section.

data

Object

The service response section.

Request example

1curl -X POST "/api/comm/v1/send/omni" \
2 -H "Authorization: {ApiKey}" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "destinations": [{ "to": "01012345678" }],
6 "messageFlow": [{
7 "navertalk": {
8 "partnerKey": "PARTNER_KEY",
9 "templateCode": "NAVER_TEMPLATE_001",
10 "productCode": "INFORMATION",
11 "text": "๋„ค์ด๋ฒ„ ํ†กํ†ก ๋ฉ”์‹œ์ง€ ๋ณธ๋ฌธ์ž…๋‹ˆ๋‹ค.",
12 "attachments": {
13 "buttons": [{
14 "buttonCode": "WEB_LINK",
15 "mobileUrl": "https://m.example.com",
16 "pcUrl": "https://example.com"
17 }]
18 }
19 }
20 }],
21 "ref": "naver-talktalk-20260331-001"
22 }'

Response example

1{
2 "common": {
3 "authCode": "A000",
4 "authResult": "Success",
5 "infobankTrId": "Infobank-Tracking-Id"
6 },
7 "data": {
8 "code": "A000",
9 "result": "SUCCESS",
10 "data": {
11 "destinations": [{
12 "to": "01012345678",
13 "msgKey": "20260424104234546POM101182450000",
14 "code": "A000",
15 "result": "Success"
16 }]
17 },
18 "ref": "naver-talktalk-20260331-001"
19 }
20}